
.Spinner.large {
  display: flex;
  align-items: center;
  justify-content: center;
  width:      100%;
  height:     100%; 
  z-index:    -10;
  top:        0;
  left:       0;
  position:   fixed;
  font-size: 10vh;
  background: #191919;
}

@keyframes pulse-spinner {
  from {
    -webkit-backface-visibility: hidden;
    -webkit-transform-style: preserve-3d;
    transform: scale(1);
  }

  50% {
    -webkit-backface-visibility: hidden;
    -webkit-transform-style: preserve-3d;
    transform: scale(1.3);
  }

  to {
    -webkit-backface-visibility: hidden;
    -webkit-transform-style: preserve-3d;
    transform: scale(1);
  }
}

.Spinner {

  svg {
    // antialiasing hack!!!!
    outline: 1px solid transparent;
    height: 80px;
    animation: pulse-spinner 1.5s ease;
    animation-iteration-count: infinite;
  }
}

.Spinner.small,
.Spinner.small:after {
  border-radius: 50%;
  width: 7em;
  height: 7em;
}
.Spinner.small {
  margin: 60px auto;
  font-size: 10px;
  position: relative;
  text-indent: -9999em;
  border-top: 1.1em solid rgba(243,255,253, 0.2);
  border-right: 1.1em solid rgba(243,255,253, 0.2);
  border-bottom: 1.1em solid rgba(243,255,253, 0.2);
  border-left: 1.1em solid #f3fffd;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-animation: load8 1.1s infinite linear;
  animation: load8 1.1s infinite linear;
}
@-webkit-keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes load8 {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
